<?php
require "inc.php";
defined('IN_AJAX') or $obj_msg->on_error('access');

switch($get_act)
{
	case "apply":
	{
		//code:1 验证码错误，2 保存出错
		$str_code=get_safecode($get_code);
		$arr_msg=array("code"=>0,"msg"=>"");
		if(empty($str_code) || $str_code!=get_cookie("user_code_other")){
			$arr_msg["msg"]="验证码不正确！";
			$arr_msg["code"]=1;
		}else{
			set_cookie("user_code_other","");//清空原验证码
			$obj_tab_link=new cls_tab_other_friendlink();
			$arr_fields=array("link_name"=>$get_linkname,"link_url"=>$get_linkurl,"link_pic"=>$get_linklogo);
			$arr_return=$obj_tab_link->on_save($arr_fields);
			if($arr_return["err"]!="") $arr_msg["code"]=2;
			$arr_msg["msg"]=$arr_return["err"];
		}
		echo $obj_msg->json_encode($arr_msg);
		exit;
		break;
	}
}

?>